# -*- coding: utf-8 -*-
"""
Created on Wed Aug 17 14:51:08 2016

@author: kuehn
"""
#import parameters_ginzburg_asymm_LFP_new_noisy_mult_theta as params
import numpy as np
from Eval_create_fig_mult_pop_paper import load_data_calc_theory_comp_num
from plot_ginzburg_osc_input_paper_figures import plot_freq_dependence_mean_corr
from parameters_ginzburg_asymm_LFP_new_noisy_mult_theta import T

E = 0
I = 1
X = 2

EE = 0
EI = 1
II = 2
EX = 3
IX = 4

E1 = 0
E2 = 1
I1 = 2
I2 = 3

datafolder = '../data_manuscript/'
suffix_general = '_mult_theta_2016_7_6_12_10_40'
suffix_list = np.array(['_mult_theta_seed=1_2016_7_6_12_10_40',
                        '_mult_theta_seed=13_2016_7_6_12_10_40', 
                        '_mult_theta_seed=25_2016_7_6_12_10_40'])

freq_max   = 0.200            # Maximal frequency in kHz

(h0_new, omegas_new, 
 M_0_sim_new, M_1_sim_new, M_2_sim_new, 
 C_0_sim_new, C_1_sim_check_new, C_1_sim_indie_new, C_1_sim_chopped_new, C_2_sim_new, 
 m_sim_t_new, c_sim_t_new, 
 C_sim_check_f_full_new, C_sim_indie_f_full_new, C_sim_chopped_f_full_new,
 omegas_theo, m_const_theo, M1_theo, 
 c_const_theo, c_delsig_list, schwan, 
 C_S_m_list, C_S_h_list, C_a_m_list,
 omegas_num, 
 M0_list_num, M1_list_num, M2_list_num, 
 C0_list_num, C1_list_num, C2_list_num, 
 times_num, m_list_num, c_list_num,
 f_res_mean, f_res_corr) = load_data_calc_theory_comp_num(datafolder, freq_max, 
                                                          suffix_list)


single_pop = 0
plot_collection = plot_freq_dependence_mean_corr(h0_new[0], 4.*omegas_new, T, 
                                                 #For numerical reasons, the simulations were carried out with tau=10ms. Therefore, the frequencies have to be rescaled.
                               M_0_sim_new, M_1_sim_new, M_2_sim_new, 
                               C_0_sim_new, 
                               C_1_sim_check_new, 
                               C_2_sim_new, 
                               4.*f_res_mean, 4.*f_res_corr, 4.*omegas_theo, 
                               m_const_theo, M1_theo,
                               c_const_theo, 
                               c_delsig_list, C_S_m_list, C_S_h_list, C_a_m_list,
                               4.*omegas_num, 
                               M0_list_num, M1_list_num, M2_list_num, 
                               C0_list_num, C1_list_num, C2_list_num,
                               single_pop,
                               suffix_general)

plot_collection.plot_first_Fourier_comp_corr_mean(E, 'exc.',EE, 'EE', 1)
plot_collection.plot_first_Fourier_comp_corr_mean(I, 'inh.',II, 'II', 2)

plot_collection.plot_three_Fourier_mean(3) #Figure 5

plot_collection.plot_three_Fourier_corr_comp(EE, 'EE', 4) #Figure 6    
plot_collection.plot_three_Fourier_corr_comp(II, 'II', 5) #Figure 9
plot_collection.plot_three_Fourier_corr_comp(EI, 'EI', 6) #Figure 10
plot_collection.plot_comparison_second_to_first_Fouriercomp_corr(EE, 'EE', 7)